/**
	ResourceRequest:

	Author: Travis Desell
	LastModified: 9/20/2002
 */

package io.p2p.protocol;

public class ResourceRequest extends P2PPacket {

	public int timeToLive;
	public double processingValue;
	public double messageSendingValue;
	public TheaterLocation theaterLocation;

	public String toString() {
		return "MigrationRequest Packet, originating at " + theaterLocator + "\n\t\trequesting processing: " + processingValue +
	}

	public MigrationRequest() {
		timeToLive = 0;
		processingValue = 0;
		messageSendingValue = 0;
	}

	public MigrationRequest(double _processingValue, double _messageSendingValue, 
				TheaterLocation _theaterLocation, int _timeToLive) {
		timeToLive = _timeToLive;
		processingValue = _processingValue;
		messageSendingValue = _messageSendingValue;
		theaterLocation = _theaterLocation;
	}
}
